package com.hw.mes.domain;

import java.math.BigDecimal;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.hw.common.core.annotation.Excel;
import com.hw.common.core.web.domain.BaseEntity;

/**
 * 生产计划明细校验信息详情对象 mes_material_check_result_detail
 * 
 * @author xins
 * @date 2024-04-07
 */
public class MesMaterialCheckResultDetail extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键标识 */
    private Long checkResultDetailId;

    /** 生产计划明细校验信息ID */
    @Excel(name = "生产计划明细校验信息ID")
    private Long materialCheckResultId;

    /** 物料条码 */
    @Excel(name = "物料条码")
    private String materialBarcode;

    /** 批次码 */
    @Excel(name = "批次码")
    private String batchCode;

    /** 检验数量 */
    @Excel(name = "检验数量")
    private BigDecimal checkAmount;

    public void setCheckResultDetailId(Long checkResultDetailId) 
    {
        this.checkResultDetailId = checkResultDetailId;
    }

    public Long getCheckResultDetailId() 
    {
        return checkResultDetailId;
    }
    public void setMaterialCheckResultId(Long materialCheckResultId) 
    {
        this.materialCheckResultId = materialCheckResultId;
    }

    public Long getMaterialCheckResultId() 
    {
        return materialCheckResultId;
    }
    public void setMaterialBarcode(String materialBarcode) 
    {
        this.materialBarcode = materialBarcode;
    }

    public String getMaterialBarcode() 
    {
        return materialBarcode;
    }
    public void setBatchCode(String batchCode) 
    {
        this.batchCode = batchCode;
    }

    public String getBatchCode() 
    {
        return batchCode;
    }
    public void setCheckAmount(BigDecimal checkAmount) 
    {
        this.checkAmount = checkAmount;
    }

    public BigDecimal getCheckAmount() 
    {
        return checkAmount;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("checkResultDetailId", getCheckResultDetailId())
            .append("materialCheckResultId", getMaterialCheckResultId())
            .append("materialBarcode", getMaterialBarcode())
            .append("batchCode", getBatchCode())
            .append("checkAmount", getCheckAmount())
            .toString();
    }
}
